// BOKEH.POV
//
// +w300 +h300


#version unofficial mlpov 0.8;

#declare pig1 = pigment {
  hexagon color rgb 1 color rgb 0 color rgb 0
  rotate 90*x  scale .5  translate <.5 ,.5 ,0>
}

#declare pig2 = pigment {
  spherical
  color_map { [0.5 color rgb 0][0.5 color rgb 0][1 color rgb 1] }
  translate <.5,.5,0>
}

#declare pig3 = pigment {
  gradient y 
  color_map { [0.02 color rgb 1][0.05 color rgb 0] } 
  scale .5 translate <.5,.5,0> 
}
                    
camera { 
  location <10,5,-3> up y right x look_at <3,-1,5> 
  focal_point <5,2,5> aperture 3 blur_samples 300
  bokeh_pigment { pig1 }
}

light_source { <50,30,-10> 1 }

#declare R1=seed(1234);
#declare i=0;
#while (i<5)
  #declare j=0;               
  #while (j<5)
    sphere { <i*2,.5,j*2>, .6 
      pigment { color rgb <rand(R1),rand(R1),rand(R1)>*.5+.5 } 
      finish { ambient 0 diffuse .7 specular 4 roughness .02 phong 0 metallic } }
    #declare j=j+1;
  #end
  #declare i=i+1;
#end

plane { y,0 pigment { color rgb 1 } finish { ambient .2 diffuse .8 } }