// BOKEH_PIGMENTS.POV
//
// +w100 +h100

                     
camera {                     
  orthographic
  location <0.5,0.5,-2> right 1*x up 1*y look_at <0.5,0.5,0>
}

#declare pig1 = pigment {
  hexagon color rgb 1 color rgb 0 color rgb 0
  rotate 90*x  scale .5  translate <.5 ,.5 ,0>
}

#declare pig2 = pigment {
  spherical
  color_map { [0.5 color rgb 0][0.5 color rgb 0][1 color rgb 1] }
  translate <.5,.5,0>
}

#declare pig3 = pigment {
  gradient y 
  color_map { [0.02 color rgb 1][0.05 color rgb 0] } 
  scale .5 translate <.5,.5,0> 
}

plane { 
  z,0 
  pigment { pig1 } 
  finish { ambient 1 }
}        
 