// SUPERELLIPSOID.POV
//
// +w320 +h240


#macro S(E,N,P)
  superellipsoid { <E, N> translate P scale 2*y+1 
                   pigment { rgb <1,1,0> } }
#end

light_source { -35*z, rgb 1 }
camera { location -35*z look_at 0 }

#declare E = 5;
#declare P = -20*x;
#while (E > 0.00001)
  S(E,.1,P+3.5*y)
  S(E, E, P)
  S(.1,E,P-3.5*y)
  #declare P = P + 5*x;
  #declare E = E / 5;
#end