// SHADOW.POV
//
// +w400 +h400 +a0.3


#version unofficial mlpov 0.8;

camera { location <0,1.5,-5> up y right x look_at <0,1,0> }

light_source { 
  <-50,35,-10> 1
  shadow_pigment { color rgb <.5,0,0> } 
}

light_source { 
  <50,30,-10> .4
  shadow_pigment { color rgb <0,0,.5> }  
}

light_source { 
  <0,10,10> .3
  shadow_pigment { color rgb <0,.5,0> }   
}

sphere { <-1,1,0>, 1 pigment { color rgb 1 } finish { ambient .2 diffuse .8 } }
box { <-0.5,0,-0.5>,<.5,2,.5> rotate 40*y translate 1*x pigment { color rgb 1 } finish { ambient .2 diffuse .8 } }
sphere { <0,0.2,-1>, .2 pigment { color rgb 1 } finish { ambient .2 diffuse .8 } }

plane { y,0 pigment { color rgb 1 } finish { ambient .2 diffuse .8 } }