// AOI.POV
//
// +w320 +h240 +a0.3


#version unofficial mlpov 0.8;

#declare pt_cam = <-3,1.5,-3>;
#declare pt_view = <0,0,0>;
      
camera {
  location pt_cam
  look_at pt_view
}
 
#declare pt_lum = <-1,2,-1>;
light_source { pt_lum color rgb .5 }               

plane { x,0 pigment { color rgb <.5,.5,.9> } finish { ambient .3 diffuse .3 reflection .6} }
plane { y,0 clipped_by { sphere { <0,0,0>,10 } } pigment { checker color rgb 0 color rgb 1  } finish { ambient .6 diffuse .5 } }
plane { z,0 pigment { color rgb <.1,.1,.7> } finish { ambient .3 diffuse .3 reflection .6} }

#declare aoi_pig1 = pigment { aoi }
#declare aoi_pig2 = pigment {
  aoi pt_lum
  color_map
  {
    [ 0.0       rgbft <1.0, 1.0, 1.0, 0.0, 0.0> ]
    [ 0.007117  rgbft <1.0, 1.0, 1.0, 0.0, 0.0> ]
    [ 0.024911  rgbft <0.956863, 0.643137, 0.407843, 0.0, 0.0> ]
    [ 0.249466  rgbft <0.94902, 0.505882, 0.176471, 0.0, 0.0> ]
    [ 0.509609  rgbft <0.537255, 0.486275, 0.988235, 0.0, 0.0> ]
    [ 1.0       rgbft <0.576471, 0.05098, 0.521569, 0.0, 0.0> ]
  }
}


    
#declare aoi_txt = texture {
  pigment { aoi_pig1 }
  finish { ambient 1 diffuse 0 }
}

sphere { 
  <-2,.5,-.75> , .5
  texture { aoi_txt }
}

cone { 
  <-.75,0,-2> , .5 , <-.75,1,-2> , 0
  texture { aoi_txt } 
}