// FINISH_MAPS.POV
//
// +w320 +h240 +a0.3


#version unofficial mlpov 0.8;

#declare pt_cam = <-3,1.5,-3>;
#declare pt_view = <0,0,0>;
      
camera {
  location pt_cam
  direction z
  up  y
  right 4/3*x
  look_at pt_view
}
 
#declare pt_lum = <-1,2,-1>;
light_source { pt_lum color rgb .5 }

light_source { <-50,100,-50> color rgb 1 }

plane { x,0 pigment { color rgb <.5,.5,.9> } finish { ambient .3 diffuse .3 reflection .6} }
plane { y,0 clipped_by { sphere { <0,0,0>,10 } } pigment { checker color rgb 0 color rgb 1  } finish { ambient .6 diffuse .5 } }
plane { z,0 pigment { color rgb <.1,.1,.7> } finish { ambient .3 diffuse .3 reflection .6} }

#declare fn = function { pigment { checker color rgb 0 color rgb 1 scale .1 } }
#declare fin1 = finish { uv_mapping reflection fn ambient .2 diffuse .7 }

sphere { 
  <-2,.5,-.75> , .5
  texture { 
    pigment { color rgb 1 }
    finish { fin1 }
  }
}

cone { 
  <-.75,0,-2> , .5 , <-.75,1,-2> , 0
  texture { 
    pigment { color rgb <0,1,0> }
    finish {  diffuse function {y} }
  } 
}